/*
Theme Name: Student Suite Theme
Theme URI: https://www.studentsuite.it/
Description: 
Author: Scoprinetwork Srl
Author URI: https://www.scoprinetwork.com/
Template: pollock
Version: 1.0.0
*/

/* Importa il font Futura Book Italic */
@font-face {
    font-family: 'Futura Book';
    src: url('fonts/FuturaBook-Italic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
}


.font-suite {
    font-family: 'Futura Book', sans-serif;
    font-style: italic;
    color: #3B557A !important;
}

.font-student {
    font-family: "Changa One";
    font-style: italic;
    color: #F7A82E !important;
}

.font-suite.white, .font-student.white, .text-white {
    color: #fff !important;
}

.orange-gradient {
	background: #F7A82E;
	background: linear-gradient(35deg, #F78A2E 0%, #F7C52E 100%);
}

.blue-gradient {
	background: #3B557A;
	background: linear-gradient(35deg, #24385B 0%, #3B557A 100%);
}
 
.orange-gradient-color {
	color: #FFF;
	background: linear-gradient(35deg, #F7C52E 0%, #F78A2E 50%, #F7C52E 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-size: 200% auto;
    animation: 2s linear infinite shine;
}

.blue-gradient-color {
	color: #FFF;
	background: linear-gradient(35deg, #3B557A 0%, #24385B 50%, #3B557A 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-size: 200% auto;
    animation: 2s linear infinite shine;
}

.text-shadow {
	text-shadow: 0 0 10px #3B557A;
}

.hide {
    display: none !important;
}

.tabs-toggle .master-tabs .toggle .toggle-btn {
	background-color: var(--e-global-color-pollock_accent) !important;
}

.studentsuite-mobile-menu .pollock-menu-panel ul li a , .studentsuite-mobile-menu .pollock-menu-panel .close-menu{
	color: #3B557A;
}

.studentsuite-mobile-menu .pollock-menu-panel .menu-panel-wrap {
	background-color: #fff;
}

.studentsuite-mobile-menu .pollock-menu-panel ul li a {
	text-transform: none;
}

.elementor-2532 .elementor-element.elementor-element-d96110d {
	width: 100vw;
}

.elementor-2532 .elementor-element.elementor-element-d96110d > .elementor-container {
	max-width:100% !important;
}

.elementor-element-ff31103 .elementor-widget-wrap {
	display: flex;
	align-content: space-between;
}

.tabs-toggle .master-tabs .toggle .toggle-btn {
    animation: tada 1s infinite;
}

.tabs-toggle .master-tabs .toggle.active .toggle-btn {
    animation: tadaactive 1s infinite;
}

@keyframes tadaactive {
    from,to {
        transform: translateX(40px) scale3d(1,1,1);
    }

    10%,20% {
        transform: translateX(40px) scale3d(.9,.9,.9) rotate3d(0,0,1,-3deg);
    }

    30%,50%,70%,90% {
        transform:  translateX(40px) scale3d(1.1,1.1,1.1) rotate3d(0,0,1,3deg);
    }

    40%,60%,80% {
        transform: translateX(40px) scale3d(1.1,1.1,1.1) rotate3d(0,0,1,-3deg);
    }
}

.leaflet-popup-content {
	font-size: 1.2rem !important;
}

.master-slider .bg-wrap {
	border-radius: 12px;
}

.faq .pollock-container .elementor-container.elementor-column-gap-default>.elementor-column {
	padding: 0 !important;
}

.accordion-style-2 .master-accordions .item .title {
	padding: 0 !important;
}

.guide-section > .elementor-container {
	display: flex;
	flex-wrap: wrap;
	align-items: stretch;
    row-gap: 20px;
}

.guide-section > .elementor-container > .elementor-column {
	width: calc(100%/3) !important;
}

.guide-section > .elementor-container > .elementor-column > .elementor-widget-wrap > .elementor-element,
.guide-section > .elementor-container > .elementor-column > .elementor-widget-wrap > .elementor-element > .elementor-widget-container,
.guide-section > .elementor-container > .elementor-column > .elementor-widget-wrap > .elementor-element > .elementor-widget-container > .master-icon-box{
	height: 100%;
}

.master-icon-box .icon-text .circle.color4 {
	background: #F7A82E;
	background: linear-gradient(35deg, #F78A2E 0%, #F7C52E 100%);
    opacity: .1
}

.master-icon-box .icon-text .circle.color5 {
	background: #3B557A;
	background: linear-gradient(35deg, #24385B 0%, #3B557A 100%);
    opacity: .1
}

.faq-section * {
	padding-left: 0 !important;
	padding-right: 0 !important;
}

.pollock-menu-panel li .arrow {
    color: #3B557A;
}

/* Archive Suite */

body.archive-project .heading-default {
    margin-bottom: 100px;
}

body.archive-project .heading-default h1 {
    letter-spacing: 2px !important;
    font-size: 7rem !important;
}

body.archive-project .suites {
    display: flex;
    flex-wrap: wrap;
    padding-left: 0;
}

body.archive-project .suites article.suite {
    flex: 0 0 33.333333%;
    padding: 10px;
}

body.archive-project .suites article.suite .post-content-archive-wrap {
    background-color: #fff;
    box-shadow: 0 0 10px 0 rgba(0,0,0,0.1);
    transition: all 1s;
    border-radius: 12px;
}

body.archive-project .suites article.suite .post-content-archive-wrap:hover {
    box-shadow: 0 0 30px 0 rgba(0,0,0,0.2);
}

body.archive-project .suites article.suite .post-content-archive-wrap h2 {
    font-size: 3rem;
    text-align: center;
    margin: 0;
}

body.archive-project .suites article.suite .post-content-archive-wrap .post-media {
    border-radius: 12px 12px 0 0;
}

body.archive-project .suites article.suite .post-content-archive-wrap .post-media img {
    border-radius: 12px 12px 0 0;
}

/* Single site */

body.single-project #main-content {
    padding: 0 0 100px;
}

@media only screen and (max-width: 767px) {
    .master-animated-text .inner .item {
        display: flex;
        width: fit-content;
        flex-wrap: wrap;
        justify-content: center;
    }

    .master-animated-text .inner .item:not(.current) {
        width: inherit !important;
    }
	
	.elementor-2532 .elementor-element.elementor-element-d96110d {
		width: 100%;
		padding: 2em 1em;
	}
	
	.elementor-2532 .elementor-element.elementor-element-d59bc45 {
		padding: 0 !important;
	}
	
	.elementor-2532 .elementor-element.elementor-element-d59bc45 .elementor-container.elementor-column-gap-default {
		flex-direction: column-reverse;
	}
	
	.guide-section > .elementor-container > .elementor-column {
		width: 100% !important;
	}
	
	/* Archive Suite */
	body.archive-project #main-content {
	    padding: 0;
	}
	
	body.archive-project .heading-default {
        margin-bottom: 40px;
    }

    body.archive-project .heading-default h1 {
        font-size: 4rem !important;
    }
	
	body.archive-project .suites article.suite {
        flex: 0 0 100%;
        padding: 10px 0;
    }
    
    .pollock-menu-panel .menu-panel-wrap {
        padding: 25px 30px 0 40px;
    }

}

/* form */
.form-white, .form-white a {
	color: #fff !important;
}

.form-white a {
	text-decoration: underline !important;
}

label, input[type=submit] {
	display: block;
}

input:not(input[type=range], input[type=submit], input[type=checkbox]), textarea {
    width: 100%;
    background-color: rgba(255,255,255,0.9);
    border: 0;
}

input[type=submit] {
	background-color: #F7A82E;
	margin: auto;
	margin-top: 25px;
}

/* Input Range Camere */

.sel-zona > p {
	margin: 33px 0 0;
}

input[type=range]#camere {
  width: 100%;
  margin: 8px 0;
  background-color: transparent;
  -webkit-appearance: none;
}
input[type=range]#camere:focus {
  outline: none;
}
input[type=range]#camere::-webkit-slider-runnable-track {
  background: rgba(247, 168, 46);
  border: 0px solid rgba(0, 0, 0, 0);
  border: 0;
  border-radius: 25px;
  width: 100%;
  height: 10px;
  cursor: pointer;
}
input[type=range]#camere::-webkit-slider-thumb {
  margin-top: -8px;
  width: 26px;
  height: 26px;
  background: #ffffff;
  border: 0;
  border-radius: 50px;
  cursor: pointer;
  -webkit-appearance: none;
  transition : all .3s;
}
input[type=range]#camere:focus::-webkit-slider-thumb {
	box-shadow: 0px 0px 0px 4px #f7a82e80;
}
input[type=range]#camere:focus::-webkit-slider-runnable-track {
  background: #f7a82e;
}
input[type=range]#camere::-moz-range-track {
  background: rgba(247, 168, 46, 0.78);
  border: 0px solid rgba(0, 0, 0, 0);
  border: 0;
  border-radius: 25px;
  width: 100%;
  height: 10px;
  cursor: pointer;
}
input[type=range]#camere::-moz-range-thumb {
  width: 26px;
  height: 26px;
  background: #ffffff;
  border: 0;
  border-radius: 50px;
  cursor: pointer;
}
input[type=range]#camere::-ms-track {
  background: transparent;
  border-color: transparent;
  border-width: 10px 0;
  color: transparent;
  width: 100%;
  height: 10px;
  cursor: pointer;
}
input[type=range]#camere::-ms-fill-lower {
  background: #f7a82e;
  border: 0px solid rgba(0, 0, 0, 0);
  border: 0;
  border-radius: 50px;
}
input[type=range]#camere::-ms-fill-upper {
  background: rgba(247, 168, 46, 0.78);
  border: 0px solid rgba(0, 0, 0, 0);
  border: 0;
  border-radius: 50px;
}
input[type=range]#camere::-ms-thumb {
  width: 26px;
  height: 26px;
  background: #ffffff;
  border: 0;
  border-radius: 50px;
  cursor: pointer;
  margin-top: 0px;
  /*Needed to keep the Edge thumb centred*/
}
input[type=range]#camere:focus::-ms-fill-lower {
  background: rgba(247, 168, 46, 0.78);
}
input[type=range]#camere:focus::-ms-fill-upper {
  background: #f7a82e;
}

@supports (-ms-ime-align:auto) {
  input[type=range]#camere {
    margin: 0;
  }
}

/* SVG Animation */
    svg#Livello_1 {
        display: block;
		width: 100%;
    	max-width: 300px;
        margin: auto;
    }

    svg#Livello_1 * {
        transition: all 1s ease;
    }

    .cls-1 {
        stroke-width: 11px;
      }

      .cls-1, .cls-2 {
        fill: #f7a82e;
        stroke: #3b557a;
        stroke-linejoin: round;
      }

      .cls-2 {
        stroke-width: 12.05px;
      }

      .cls-3, #house > path {
        fill: #3b557a;
      }

      .cls-3, .cls-4, #house > path, #house > rect {
        stroke-width: 0px;
      }

      .cls-4, #house > rect {
        fill: #fff;
      }

      #house > .windows > * , #house > .polygons > * {
        opacity: 0;
      }

      #house.type-5 > rect {
        x: 56.63px;
        y: 205px;
        width:770.74px;
        height: 124px;
      }

      #house.type-5 > path {
        d: path("M821.87,210.5v113H62.13v-113h759.74M832.87,199.5H51.13v135h781.74v-135h0Z");
      }

      #house.type-5 > .polygons > .p5, #house.type-5 > .windows > :is(.w1, .w2) {
        opacity: 1;
      }

      #house.type-4 > rect {
        x: 122px;
        y: 205px;
        width: 640px;
        height: 124px;
      }

      #house.type-4 > path {
        d: path("M756.5,210.5v113H127.5v-113h629M767.5,199.5H116.5v135h651v-135h0Z");
      }

      #house.type-4 > .polygons > .p4, #house.type-4 > .windows > :is(.w3, .w4) {
        opacity: 1;
      }

      #house.type-3 > rect {
        x: 185.58px;
        y: 205px;
        width: 512.84px;
        height: 124px;
      }

      #house.type-3 > path {
        d: path("M692.92,210.5v113H191.08v-113h501.84M703.92,199.5H180.08v135h523.84v-135h0Z");
      }

      #house.type-3 > .polygons > .p3 {
        opacity: 1;
      }

      #house.type-2 > rect, #house.type-1 > rect{
        x: 344.07px;
        y: 205px;
        width: 195.85px;
        height: 124px;
      }

      #house.type-2 > path, #house.type-1 > path {
        d: path("M534.43,210.5v113h-184.85v-113h184.85M545.43,199.5h-206.85v135h206.85v-135h0Z");
      }